Name:		virglrenderer
Version:	0.7.0
Release:	4
Summary:	VirGL virtual OpenGL renderer
License:	MIT
URL: https://virgil3d.github.io

Source0: https://www.freedesktop.org/software/virgl/virglrenderer-%{version}.tar.gz

Patch0:  backport-CVE-2019-18390.patch
Patch1:  backport-CVE-2019-18389.patch
Patch2:  backport-CVE-2019-18391.patch
Patch3:  backport-vrend-Keep-the-max-texture-sizes-in-the-vrend_state.patch
Patch4:  backport-CVE-2019-18388.patch
Patch5:  backport-CVE-2020-8002.patch
Patch6:  backport-CVE-2020-8003.patch
Patch7:  backport-CVE-2022-0175.patch

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python3
BuildRequires:  autoconf-archive
BuildRequires:	libepoxy-devel
BuildRequires:	libdrm-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	xorg-x11-util-macros
BuildRequires:	mesa-libEGL-devel

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files

Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Virgil3D renderer development files,
It is required while building qemu.

Requires: %{name}%{?_isa} = %{version}-%{release}

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -if
%configure
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" install
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_bindir}/virgl_test_server

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/lib*.so.*

%files devel
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Jul 06 2022 yezengruan <yezengruan@huawei.com> - 0.7.0-4
- vrend: clear memory when allocating a host-backed memory resource (CVE-2022-0175)

* Tue Mar 1 2022 AlexChen <alex.chen@huawei.com> - 0.7.0-3
- Fix CVE-2020-8002 CVE-2020-8003

* Thu Nov 4 2021 panxiaohe <panxiaohe@huawei.com> - 0.7.0-2
- Fix CVE-2019-18388 CVE-2019-18389 CVE-2019-18390 CVE-2019-18391

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7.0-1
- Package init
